# Création de langues

Les *idéolangues*, ou *langues construites* (en anglais *conlang*),
sont des langues construites et artificielles, nées de l’esprit d’une
ou parfois quelques personnes. Elles se distinguent ainsi des *langues
naturelles* qui sont des langues ayant naturellement évolué depuis
d’autres langues plus anciennes, comme le Français, l’Anglais, le
Mandarin, le Japonais, le Bahasa ou le !Xhosa (oui, le point
d’exclamation fait partie de l’orthographe du nom de la langue).

Les idéolangues peuvent avoir différents buts lors de leur création,
comme par exemple :
- être parlées comme des langues naturelles par des individus afin de
  servire de *lingua franca* entre plusieurs communautés
  linguistiques, comme le célèbre
  [Esperanto](https://en.wikipedia.org/wiki/Esperanto) ou bien la
  [Lingua Franca Nova](https://elefen.org)
- être une langue secrète que seules quelques personnes connaissent
  afin de communiquer entre eux sans que d’autres personnes puissent
  comprendre, un peu comme un argot mais plus poussé encore
- être une expérience concrète de linguistique, comme le
  [Lojban](https://en.wikipedia.org/wiki/Lojban) qui essaie d’être la
  langue la plus logique qui soit
- complémenter un univers littéraire, comme les langues elfiques de
  Tolkien ou le Klingon de Star Trek
- juste être une forme d’art, comme la peinture ou la poésie

Dans mon cas, les deux dernières justifications sont celles qui me
poussent à créer de nouvelles langues. Mes deux projets principaux
actuellement sont le
[Proto-Ñyqy](https://conlang.phundrak.com/proto-nyqy) et
l’[Éittlandais](https://conlang.phundrak.com/eittlandic). La première
est une langue racine qui me permettra de développer toute une famille
de langues dans mon univers littéraire, tandis que la seconde
s’inscrit dans un exercice créatif de création d’un pays fictif
présent dans notre monde.

Plus d’informations peuvent être trouvées sur [mon site
d’idéolinguistique](https://conlang.phundrak.com/) (en anglais)
