# Conlanging

*Conlangs*, short for *constructed languages*, are artificial
languages born out of the mind of a single individual (sometimes a
couple of them), unlike natural languages born through countless
iterations by their native speakers, slowly evolving over time like
English, French, Mandarin, Japanese, Bahasa, or !Xhosa did.

They can serve various goals from their creators:
- be spoken by as many people as possible as a neutral language, like
  [Esperanto](https://en.wikipedia.org/wiki/Esperanto) and [Lingua
  Franca Nova](https://elefen.org)
- be a secret language between a couple of people
- as a thought experiment, like [Lojban](https://en.wikipedia.org/wiki/Lojban)
- fill a litterary universe, like Tolkien’s elvish languages or Star
  Trek’s Klingon
- for the sake of art itself

In my case, the last two reasons are the main ones driving me to
create languages. My two main projects at the time of writing this
page are [Proto-Ñyqy](https://conlang.phundrak.com/proto-nyqy) and
[Eittlandic](https://conlang.phundrak.com/eittlandic). Both are
accompanied by their own worldbuilding project, although Proto-Ñyqy’s
worldbuilding is still largely secret while Eittland’s worldbuilding
is mostly public.

More information can be found on my [conlanging
website](https://conlang.phundrak.com/).
